<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>32.55 Detail</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


</head>

<body>
    <div class="container jumbotron w-50">
        <div class=" text-center mb-4 ">
            <h3>Chi tiết User</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">FirstName</label>
            </div>
            <div class="col-sm-8">
                <input id="inp-firstname" class="form-control" type="text" placeholder="Firstname">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">LastName</label>
            </div>
            <div class="col-sm-8">
                <input id="inp-lastname" class="form-control" type="text" placeholder="Lastname">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">SubJect</label>
            </div>
            <div class="col-sm-8">
                <input id="inp-sub" class="form-control" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Country</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" name="country" id="select-country">
                    <option value="VN">Việt Name</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Customer Type</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" name="customerType" id="select-customer-type">
                    <option value="Standard">Standard </option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Register Status</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" name="registerstatus" id="select-register-status">
                    <option value="New">New </option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4"></div>
            <div class="col-sm-8">
                <button id="btn-update" class="btn btn-primary w-50">Update User</button>
                <button class="btn btn-success w-25"> Hủy Bỏ</button>

            </div>
        </div>
    </div>
</body>
<script>
    "use strict"
    onPageLoading();

    function onPageLoading() {
        var vUrlString = window.location.href;
        var vUrl = new URL(vUrlString);
        var vID = vUrl.searchParams.get("id");
        console.log(vID);
        callApiDataUser(vID);

        
    }
    function callApiDataUser(pagramUser){
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/" + pagramUser,
            type: "GET",
            dataType: 'json',
            success: function(res){
                console.log(res);
                showDataFrom(res);
            },
            error: function(ajaxContect){
                alert(ajaxContect.responseText)
            },

        })
    }
    function showDataFrom(pagramUser){
        $("#inp-firstname").val(pagramUser.firstname);
        $("#inp-lastname").val(pagramUser.lastname);
        $("#inp-sub").val(pagramUser.subject);
        $("#inp-select-country").val(pagramUser.country);
        $("#select-customer-type").val(pagramUser.customerType);
        $("#select-register-status").val(pagramUser.registerStatus);

       
    }
</script>

</html>